Interface EventHubsEndpointBuilderFactory.EventHubsBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- EventHubsEndpointBuilderFactory
public static interface EventHubsEndpointBuilderFactory.EventHubsBuilders
-
Method Summary
Modifier and TypeMethodDescriptionAzure Event Hubs (camel-azure-eventhubs) Send and receive events to/from Azure Event Hubs using AMQP protocol.azureEventhubs(String path) Azure Event Hubs (camel-azure-eventhubs) Send and receive events to/from Azure Event Hubs using AMQP protocol.azureEventhubs(String componentName, String path) Azure Event Hubs (camel-azure-eventhubs) Send and receive events to/from Azure Event Hubs using AMQP protocol.
-
Method Details
-
azureEventhubs
Azure Event Hubs (camel-azure-eventhubs) Send and receive events to/from Azure Event Hubs using AMQP protocol. Category: cloud,messaging Since: 3.5 Maven coordinates: org.apache.camel:camel-azure-eventhubs- Returns:
- the dsl builder for the headers' name.
-
azureEventhubs
Azure Event Hubs (camel-azure-eventhubs) Send and receive events to/from Azure Event Hubs using AMQP protocol. Category: cloud,messaging Since: 3.5 Maven coordinates: org.apache.camel:camel-azure-eventhubs Syntax:azure-eventhubs:namespace/eventHubNamePath parameter: namespace EventHubs namespace created in Azure Portal. Path parameter: eventHubName EventHubs name under a specific namespace.- Parameters:
path- namespace/eventHubName- Returns:
- the dsl builder
-
azureEventhubs
default EventHubsEndpointBuilderFactory.EventHubsEndpointBuilder azureEventhubs(String componentName, String path) Azure Event Hubs (camel-azure-eventhubs) Send and receive events to/from Azure Event Hubs using AMQP protocol. Category: cloud,messaging Since: 3.5 Maven coordinates: org.apache.camel:camel-azure-eventhubs Syntax:azure-eventhubs:namespace/eventHubNamePath parameter: namespace EventHubs namespace created in Azure Portal. Path parameter: eventHubName EventHubs name under a specific namespace.- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- namespace/eventHubName- Returns:
- the dsl builder
-